<template>
    <el-dialog title="受理信息" :visible.sync="show" center width="600px">
        <el-form
            hide-required-asterisk
            :model="form"
            :rules="rules"
            ref="form"
            label-width="140px"
            style="padding-right: 130px;"
        >
            <el-form-item label="回文补正" prop="attachment1">
                <attachment-upload
                    v-model="form.attachment1"
                    :fileSize.sync="form.attachment1.size"
                ></attachment-upload>
            </el-form-item>

            <el-form-item>
                <el-button style="width: 150px;" size="normal" type="primary" @click="onSubmit">提交</el-button>
                <el-button style="width: 120px;" size="normal" @click="show = false">取消</el-button>
            </el-form-item>
        </el-form>
    </el-dialog>
</template>

<script>
import logoPatent from '@/mixins/logoPatent';
export default {
    mixins: [logoPatent],
    props: {
        info: {}
    },
    data() {
        return {
            form: {
                attachment1: { attachmentName: '回文补正', fileName: '', url: '', remark: '', size: '' }
            },
            show: false,
            rules: {
                attachment1: {
                    validator: (rule, value, callback) => {
                        if (!value.url) {
                            callback(new Error('请上传回文补正'));
                        } else {
                            callback();
                        }
                    },
                    trigger: 'change'
                }
            }
        };
    },
    methods: {
        onSubmit() {
            this.$refs.form.validate(valid => {
                if (valid) {
                    this.submit();
                } else {
                    return false;
                }
            });
        },
        submit() {
            let info = { ...this.info };
            this.$emit('uploadAttement', this.form.attachment1);

            info.accept = this.form.accept;
            info.logoWorkflow = 'PENDING'; //待受理

            this.$emit('submit', info);
            this.show = false;
        }
    }
};
</script>

<style></style>
